$: << File.expand_path(File.join(File.dirname(__FILE__), "../lib"))

require 'yaml'

module RFormat

  class << self
    def root_dir
      File.expand_path('../', File.dirname(__FILE__))
    end

    def lib_dir
      File.join(root_dir, 'lib')
    end

    def format_file
      File.join(lib_dir, 'rformat', 'formatters.yml')
    end

    def rformat_env_file
      File.join(ENV['HOME'], ".rformat")
    end
  end

  Version = File.read(File.join(self.root_dir, 'VERSION'))
  Copyright = File.readlines(File.join(self.root_dir, 'LICENSE.txt')).first

end